/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

/**
 * @author Michael Hashimoto
 */
public abstract class BaseGitBranch {

	public String getName() {
		return _name;
	}

	public String getSHA() {
		return _sha;
	}

	protected BaseGitBranch(String name, String sha) {
		if ((name == null) || name.isEmpty()) {
			throw new IllegalArgumentException("Name is null");
		}

		if ((sha == null) || sha.isEmpty()) {
			throw new IllegalArgumentException("SHA is null");
		}

		_name = name;
		_sha = sha;
	}

	private final String _name;
	private final String _sha;

}