/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

/**
 * @author Michael Hashimoto
 */
public class BuildRunnerFactory {

	public static BatchBuildRunner newBatchBuildRunner(
		Job job, String batchName) {

		if (batchName.contains("functional")) {
			return new FunctionalPortalBatchBuildRunner(job, batchName);
		}
		else if (batchName.contains("integration") ||
				 batchName.contains("unit")) {

			return new JunitPortalBatchBuildRunner(job, batchName);
		}

		return new PortalBatchBuildRunner(job, batchName);
	}

}